KeyOperationContext (Apache Geode 1.6.0)
Date: 2018-04-23

org.apache.geode.cache.operations

## Class KeyOperationContext

- java.lang.Object
- - org.apache.geode.cache.operations.OperationContext
  - - org.apache.geode.cache.operations.KeyOperationContext

- Direct Known Subclasses:
    DestroyOperationContext, InvalidateOperationContext, KeyValueOperationContext

  Deprecated.
  since Geode1.0, use `ResourcePermission` instead

      public abstract class KeyOperationContext
      extends OperationContext

  Encapsulates a region operation that requires only a key object for the pre-operation case. The operations this class encapsulates are `OperationContext.OperationCode.DESTROY` and `OperationContext.OperationCode.CONTAINS_KEY`.
  Since:
    GemFire 5.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

      `OperationContext.OperationCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyOperationContext(java.lang.Object key)` Deprecated. Constructor for the operation.
    `KeyOperationContext(java.lang.Object key, boolean postOperation)` Deprecated. Constructor for the operation.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getCallbackArg()` Deprecated. Get the callback argument object for this operation.
    `java.lang.Object` | `getKey()` Deprecated. Get the key object for this operation.
    `abstract OperationContext.OperationCode` | `getOperationCode()` Deprecated. Return the operation associated with the `OperationContext` object.
    `boolean` | `isPostOperation()` Deprecated. True if the context is for post-operation.
    `void` | `setCallbackArg(java.lang.Object callbackArg)` Deprecated. Set the callback argument object for this operation.
    `protected void` | `setPostOperation()` Deprecated. Set the post-operation flag to true.

    - ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

      `isClientUpdate, isClientUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyOperationContext

          public KeyOperationContext(java.lang.Object key)

      Deprecated.
      Constructor for the operation.
      Parameters:
        `key` - the key for this operation

    - #### KeyOperationContext

          public KeyOperationContext(java.lang.Object key,
                                     boolean postOperation)

      Deprecated.
      Constructor for the operation.
      Parameters:
        `key` - the key for this operation
        `postOperation` - true to set the post-operation flag

  - ### Method Detail

    - #### getOperationCode

          public abstract OperationContext.OperationCode getOperationCode()

      Deprecated.
      Return the operation associated with the `OperationContext` object.
      Specified by:
        `getOperationCode` in class `OperationContext`
      Returns:
        The `OperationCode` of this operation. This is one of `OperationContext.OperationCode.DESTROY` or `OperationContext.OperationCode.CONTAINS_KEY` for `KeyOperationContext`, and one of `OperationContext.OperationCode.GET` or `OperationContext.OperationCode.PUT` for `KeyValueOperationContext`.

    - #### isPostOperation

          public boolean isPostOperation()

      Deprecated.
      True if the context is for post-operation.
      Specified by:
        `isPostOperation` in class `OperationContext`

    - #### setPostOperation

          protected void setPostOperation()

      Deprecated.
      Set the post-operation flag to true.

    - #### getKey

          public java.lang.Object getKey()

      Deprecated.
      Get the key object for this operation.
      Returns:
        the key object for this operation.

    - #### getCallbackArg

          public java.lang.Object getCallbackArg()

      Deprecated.
      Get the callback argument object for this operation.
      Returns:
        the callback argument object for this operation.

    - #### setCallbackArg

          public void setCallbackArg(java.lang.Object callbackArg)

      Deprecated.
      Set the callback argument object for this operation.
      Parameters:
        `callbackArg` - the callback argument object for this operation.